VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Types | Public Member Functions | Static Public Attributes | List of all members
IValue Class Referenceabstract
Standalone Library

Value interface. More...

`#include <ivalue.h>`

Inheritance diagram for IValue:

## Public Types
using | Type = double
| floating point value in the range of 0 to 1 More...

## Public Member Functions
virtual void | beginEdit ()=0
| Begin editing the value. More...
virtual bool | performEdit (Type newValue)=0
| Perform a value edit. More...
virtual void | endEdit ()=0
| End editing the value. More...
virtual void | setActive (bool state)=0
| Set active state. More...
virtual bool | isActive () const =0
| Is value active? More...
virtual Type | getValue () const =0
| Get the normalized value. More...
virtual bool | isEditing () const =0
| Is value in edit mode. More...
virtual const UTF8String & | getID () const =0
| Get value identifier. More...
virtual const IValueConverter & | getConverter () const =0
| Get value converter. More...
virtual void | registerListener (IValueListener *listener)=0
| register a value listener. More...
virtual void | unregisterListener (IValueListener *listener)=0
| unregister a value listener. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Static Public Attributes
static constexpr Type | InvalidValue = std::numeric_limits<Type>::min ()
| indicates an invalid value More...

## Detailed Description

Value interface.

## Member Typedef Documentation

## ◆ Type

using Type = double

floating point value in the range of 0 to 1

## Member Function Documentation

## ◆ beginEdit()

virtual void beginEdit | ( |  | ) |
| pure virtual

Begin editing the value.

## ◆ endEdit()

virtual void endEdit | ( |  | ) |
| pure virtual

End editing the value.

## ◆ getConverter()

virtual const IValueConverter & getConverter | ( |  | ) | const
| pure virtual

Get value converter.

## ◆ getID()

virtual const UTF8String & getID | ( |  | ) | const
| pure virtual

Get value identifier.

## ◆ getValue()

virtual Type getValue | ( |  | ) | const
| pure virtual

Get the normalized value.

## ◆ isActive()

virtual bool isActive | ( |  | ) | const
| pure virtual

Is value active?

## ◆ isEditing()

virtual bool isEditing | ( |  | ) | const
| pure virtual

Is value in edit mode.

## ◆ performEdit()

virtual bool performEdit | ( | Type | newValue | ) |
| pure virtual

Perform a value edit.

## ◆ registerListener()

virtual void registerListener | ( | IValueListener * | listener | ) |
| pure virtual

register a value listener.

## ◆ setActive()

virtual void setActive | ( | bool | state | ) |
| pure virtual

Set active state.

## ◆ unregisterListener()

virtual void unregisterListener | ( | IValueListener * | listener | ) |
| pure virtual

unregister a value listener.

## Member Data Documentation

## ◆ InvalidValue

constexpr Type InvalidValue = std::numeric_limits<Type>::min ()
| static constexpr

indicates an invalid value

The documentation for this class was generated from the following file:

- ivalue.h